package com.lovcoding.day04;

public class Test04_While01_Ex01 {
    public static void main(String[] args) {
        //输入两个正整数m和n，求其最大公约数和最小公倍数
        //  m=6  n=8
        //  最大公约 小于等于  m和n的最小值。
        //  最小值-- 往下找。 符合直接 break

        //  最小公倍 大于等于  m和n的最大值。
        //  从m和n的最大值 一直到 m*n的值。
        //  从最大值 向上找

        int m = 6;
        int n = 8;


        //最大公约
        int min = m < n ? m : n;
        //条件
        while (min > 0 ){
            //取模
            if (m % min == 0 && n % min == 0){
                System.out.println("最大公约数是："+min);
                break;
            }
            min--;
        }

        //最小公倍数
        int max = m > n ? m : n;

        while ( max <= m*n ){
            if (max % m == 0 && max % n == 0){
                System.out.println("最小公倍数是："+max);
                break;
            }
            max++;
        }
    }
}
